package com.red.circle.live.inner.service;

import com.red.circle.live.domain.online.LiveRoomUser;
import java.util.List;

/**
 * 直播麦克风.
 *
 * @author pengliang on 2023/12/13
 */
public interface LiveMicClientService {

  /**
   * 创建麦克风(不存在创建).
   */
  void create(Long roomId, Integer micSize);

  /**
   * 修改麦克风数量.
   */
  void updateMickSize(Long roomId, Integer micSize);

  /**
   * 刷新麦克风用户角色.
   */
  void refreshMicUserRoles(Long roomId, Long userId);

  /**
   * 房间在线人数.
   */
  Long getLiveRoomUserSize(Long roomId);

  /**
   * 获得房间在线用户.
   */
  List<LiveRoomUser> listLiveRoomUser(Long roomId, Integer size);

}
